version: '3.8'

services:
  wagtail:
    image: code.headbright.be/konstantin/iamkonstantin:1.0.6
    container_name: wagtail
    restart: always
    volumes:
      - ./website/:/usr/src/app/:consistent
      - ./database:/data:rw
      - /var/uploads:/uploads/media:rw
    ports:
      - 8000:8000
    command : bash -c "python manage.py migrate && python manage.py runserver 0.0.0.0:8000"
    env_file:
      - ./.env.production
    networks:
      - website

networks:
  website: